MYSQL DB upgrade required

Need help? - Post here and we will find a solution for you.
Post Reply
K1PLL
New user
Posts: 1
Joined: 27 Feb 2014, 15:19

MYSQL DB upgrade required

Post by K1PLL » 19 Apr 2014, 18:31

Hi everyone,
I have been using Log4OM for a while (1.16) and decided to upgrade today to the new release (1.17.1).
For my surprise, my log disappeared and I got a message " MYSQL DB upgrade required 192.168.1.25:3306\k1pll"
Running windows 8.1 64 here.
My MYSQL database is located in another computer (Windows 7 64 )192.168.1.25 port 3306
I have log4OM installed in 4 machines and access this database over the internet without a problem.
Thanks Daniele for this great program.
Luis !!

User avatar
IW3HMH
Site Admin
Posts: 2643
Joined: 21 Jan 2013, 14:20
Location: Quarto d'Altino - Venezia (ITA)
Contact:

Re: MYSQL DB upgrade required

Post by IW3HMH » 20 Apr 2014, 14:03

Sorry Luis, update script has not be published by Wordpress in my website.

You can find it in the download section now, or here: http://www.pisto.it/LogOm/mysql1171.zip

Run the script in your MySQL database or, if you're unfamiliar with queries, just recreate database and import back your last log.

In case you need previous version to be able to read log to make a backup here you can find the previous release:
http://www.pisto.it/LogOm/Log4OM_1160.zip
or
http://www.pisto.it/LogOm/Log4OM_1160_Portable.zip

Sorry :)
Daniele Pistollato - IW3HMH

OE6CLD
Old Man
Posts: 147
Joined: 04 Jun 2013, 08:54
Location: Munich
Contact:

Re: MYSQL DB upgrade required

Post by OE6CLD » 21 Apr 2014, 15:31

Thanks, was waiting for this as well - switched over to SQLite meanwhile for testing.

73,
Claus, OE6CLD/EI7JZ
Claus, EI7JZ/OE6CLD/DJ0DX

LU4FTA
Novice Class
Posts: 10
Joined: 26 Feb 2016, 22:41

Re: MYSQL DB upgrade required

Post by LU4FTA » 30 Mar 2020, 23:03

Hi everyone.
I have a problem in the Log4Om program when I want to open the .sqlite database telling me that DB update is required. This occurred when closing the database of my LU4FTA callsign and opening that of my other LV1F callsign to load the qsos that I made in the CQ WPX that took place this weekend. When I reopened the LU4FTA database it won't let me open and it gives me the message that I must update DB.
I appreciate your response.
73 by Felipe Stefania LU4FTA / LV1F

User avatar
G4POP
Log4OM Alpha Team
Posts: 7144
Joined: 21 Jan 2013, 14:55
Location: Burnham on Crouch, Essex UK

Re: MYSQL DB upgrade required

Post by G4POP » 31 Mar 2020, 15:23

Can you create an empty new database and import an ADIF backup file?
73 Terry G4POP

Post Reply